#ifndef _CAMERA_H_
#define _CAMERA_H_

#include <ode/ode.h>
#include "trig.h"

#define CAMERA_CHASE0	0
#define CAMERA_CHASE1	1
#define CAMERA_CHASE2	2

class CCamera
{
private:
	CVector tpos;
	CVector ttar;

	int mode;
	
	void update_tpos(void);
	void update_ttar(void);
public:
    dBodyID	car;
		
	CVector position;
	CVector target;
	
	void init(dBodyID c);
	void update(double t);
	
	void set_mode(int m);
	int get_mode(void) { return mode; }
};

#endif
